> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.incarts.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Check service health

> Verify that the Incarts API is available



## OpenAPI

````yaml openapi/incarts-public-api.v1.yaml GET /health
openapi: 3.1.0
info:
  title: Incarts API
  version: 1.0.0
  summary: Create shoppable links and QR codes with the Incarts API.
  description: >
    Create shoppable Incarts links and QR codes for retailer, campaign, and
    commerce workflows.
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://incarts-api-qob6vapoca-uc.a.run.app
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Health
    description: Service health checks.
  - name: Links
    description: Link generation and retrieval.
  - name: Retailers
    description: Retailer discovery for link generation.
  - name: QR Codes
    description: QR codes associated with shoppable links.
paths:
  /health:
    get:
      tags:
        - Health
      summary: Check service health
      operationId: getHealth
      responses:
        '200':
          description: Service is healthy.
          headers:
            X-Correlation-ID:
              $ref: '#/components/headers/CorrelationId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
              examples:
                healthy:
                  value:
                    status: ok
                    service: incarts-api
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '503':
          description: Service is unavailable.
          headers:
            X-Correlation-ID:
              $ref: '#/components/headers/CorrelationId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security: []
components:
  headers:
    CorrelationId:
      description: >-
        Request correlation ID generated by the API or echoed from
        `X-Correlation-ID`.
      schema:
        type: string
      example: req_01JZ4TCZ7AG9P9W38V4VNQ7W4B
  schemas:
    HealthResponse:
      type: object
      required:
        - status
        - service
      properties:
        status:
          type: string
          enum:
            - ok
        service:
          type: string
          example: incarts-api
    ErrorResponse:
      type: object
      additionalProperties: false
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
    ErrorObject:
      type: object
      additionalProperties: false
      required:
        - code
        - message
        - correlationId
      properties:
        code:
          type: string
          description: Stable machine-readable error code.
          example: validation_failed
        message:
          type: string
          description: Human-readable error summary.
          example: products is required for walmart add_to_cart links.
        correlationId:
          type: string
          example: req_01JZ4TCZ7AG9P9W38V4VNQ7W4B
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetail'
    ErrorDetail:
      type: object
      additionalProperties: false
      required:
        - field
        - message
      properties:
        field:
          type: string
          example: products
        message:
          type: string
          example: At least one product is required.
  responses:
    TooManyRequests:
      description: Rate limit exceeded.
      headers:
        X-Correlation-ID:
          $ref: '#/components/headers/CorrelationId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Incarts-API-Key

````